import { Router } from "express";
import cairoAuthMiddleware from "./middlewares/auth-middleware.js";
const router = Router();

const cairoProjectId = process.env.MCL_CAIRO_PROJECT;
if(!cairoProjectId) throw Error("Cairo Project Required!");

const ok = (_r, res) => res.sendStatus(200);

function cairoRedirect(req, res) {
  res.redirect(
    `${process.env.MCL_CAIRO_URL}/cairo/authenticate?redirectUri=${req.query.redirectUri}&projectId=${cairoProjectId}`,
  );
}

router.get("/verify", cairoAuthMiddleware, ok);
router.get("/redirect", cairoRedirect);

export default router;
