import { Router, json as jsonMiddleware } from "express";
import { getS3BackupUrl, listS3Backups } from "../controllers/s3-controller.js";
import cairoAuthMiddleware from "./middlewares/auth-middleware.js";

const router = Router();
router.use([cairoAuthMiddleware, jsonMiddleware()]);

router.post("/backups", listS3Backups);
router.post("/backup-url", getS3BackupUrl);

export default router;
