import { Router, json as jsonMiddleware } from "express";
import {
  createServer,
  deleteServer,
  startServer,
  stopServer,
  getServer,
  modifyServer,
} from "../controllers/lifecycle-controller.js";
import {
  serverInstances,
  serverList,
} from "../controllers/status-controller.js";

import cairoAuthMiddleware from "./middlewares/auth-middleware.js";

const router = Router();
router.use([jsonMiddleware(), cairoAuthMiddleware]);
// Routes
router.post("/create", createServer);
router.delete("/delete", deleteServer);
router.post("/start", startServer);
router.post("/stop", stopServer);
router.get("/list", serverList);
router.get("/instances", serverInstances);
router.post("/blueprint", getServer);
router.post("/modify", modifyServer);
export default router;
